Index: src/mainboard/amd/serengeti_cheetah/Options.lb
===================================================================
--- src/mainboard/amd/serengeti_cheetah/Options.lb	(Revision 4346)
+++ src/mainboard/amd/serengeti_cheetah/Options.lb	(Arbeitskopie)
@@ -103,13 +103,10 @@
 default ROM_SIZE=524288
 
 ##
-## FALLBACK_SIZE is the amount of the ROM the complete fallback image will use
+## FALLBACK_SIZE is the amount of the ROM the ROM part of the fallback image will use
 ##
-#default FALLBACK_SIZE=131072
-#default FALLBACK_SIZE=0x40000
 
-#FALLBACK: 256K-4K
-default FALLBACK_SIZE=0x3f000
+default FALLBACK_SIZE=ROM_IMAGE_SIZE
 #FAILOVER: 4K
 default FAILOVER_SIZE=0x01000
 
@@ -239,7 +236,7 @@
 ###
 
 ## ROM_IMAGE_SIZE is the amount of space to allow coreboot to occupy.
-default ROM_IMAGE_SIZE = 65536
+default ROM_IMAGE_SIZE = 0xf000
 
 ##
 ## Use a small 8K stack
@@ -333,5 +330,5 @@
 # CBFS
 #
 #
-default CONFIG_CBFS=0
+default CONFIG_CBFS=1
 end
Index: src/mainboard/amd/serengeti_cheetah/Config.lb
===================================================================
--- src/mainboard/amd/serengeti_cheetah/Config.lb	(Revision 4346)
+++ src/mainboard/amd/serengeti_cheetah/Config.lb	(Arbeitskopie)
@@ -100,7 +100,6 @@
 		depends "$(MAINBOARD)/apc_auto.c option_table.h"
 		action "$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) -I$(TOP)/src -I. -c $(MAINBOARD)/apc_auto.c -o $@"
 	end
-	ldscript /arch/i386/init/ldscript_apc.lb
     end
 end
 
Index: targets/amd/serengeti_cheetah/Config-abuild.lb
===================================================================
--- targets/amd/serengeti_cheetah/Config-abuild.lb	(Revision 4346)
+++ targets/amd/serengeti_cheetah/Config-abuild.lb	(Arbeitskopie)
@@ -13,7 +13,6 @@
 romimage "normal"
 	option USE_FAILOVER_IMAGE=0
 	option USE_FALLBACK_IMAGE=0
-	option ROM_IMAGE_SIZE=0x20000
 	option COREBOOT_EXTRA_VERSION=".0-normal"
 	payload __PAYLOAD__
 end
@@ -21,7 +20,6 @@
 romimage "fallback"
 	option USE_FAILOVER_IMAGE=0
 	option USE_FALLBACK_IMAGE=1
-	option ROM_IMAGE_SIZE=0x20000
 	option COREBOOT_EXTRA_VERSION=".0-fallback"
 	payload __PAYLOAD__
 end
